%define upstream_name PyPDF2

Summary:        Pure-Python PDF toolkit
Name:           python-pypdf2
Version:        1.27.9
Release:        %mkrel 1
License:        BSD
Group:          Development/Python
Url:            https://mstamy2.github.io/PyPDF2
Source0:        https://pypi.io/packages/source/P/%{upstream_name}/%{upstream_name}-%{version}.tar.gz
BuildArch:      noarch

%description
A Pure-Python library built as a PDF toolkit. It is capable of:
    * extracting document information (title, author, ...),
    * splitting documents page by page,
    * merging documents page by page,
    * cropping pages,
    * merging multiple pages into a single page,
    * encrypting and decrypting PDF files.

#------------------------------------------------------------------------------

%package -n python3-pypdf2
Summary:        Pure-Python3 PDF toolkit
BuildRequires:  pkgconfig(python3)
%{?python_provide:%python_provide python3-%{upstream_name}}
%{?python_provide:%python_provide python3-pypdf2}
Provides:	python3-%{upstream_name} = %{version}

%description -n python3-pypdf2
A Pure-Python3 library built as a PDF toolkit. It is capable of:
    * extracting document information (title, author, ...),
    * splitting documents page by page,
    * merging documents page by page,
    * cropping pages,
    * merging multiple pages into a single page,
    * encrypting and decrypting PDF files.

%files -n python3-pypdf2
%license LICENSE
%doc CHANGELOG README.md
%{python3_sitelib}/%{upstream_name}-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/%{upstream_name}

#------------------------------------------------------------------------------

%prep
%setup -q -n %{upstream_name}-%{version}
sed -i '/^#!/d' PyPDF2/pagerange.py
%__chmod a-x CHANGELOG LICENSE README.md

%build
%py3_build

%install
%py3_install


%changelog
* Sun Sep 03 2023 mrambo3501 <mrambo3501> 1.27.9-1.mga8
+ Revision: 1983823
- version 1.27.9 fixes CVE-2023-36810 (mga #32115)
+ neoclust <neoclust>
- New version 1.27.5: Fixes CVE-2022-24859 (mga#30511)

* Sun Feb 16 2020 umeabot <umeabot> 1.26.0-5.mga8
+ Revision: 1532486
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 wally <wally> 1.26.0-4.mga8
+ Revision: 1442432
- rebuild for python3.8
- drop python2 support

* Tue Jan 08 2019 tv <tv> 1.26.0-3.mga7
+ Revision: 1352389
- rebuild with python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.26.0-2.mga7
+ Revision: 1289790
- Mageia 7 Mass Rebuild

* Mon Sep 10 2018 daviddavid <daviddavid> 1.26.0-1.mga7
+ Revision: 1258168
- new version: 1.26.0
- rename python-pypdf2 to python2-pypdf2

* Sat Aug 05 2017 pterjan <pterjan> 1.25.1-4.mga7
+ Revision: 1135578
- Rebuild for python 3.6

* Fri Feb 19 2016 umeabot <umeabot> 1.25.1-3.mga6
+ Revision: 970860
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 daviddavid <daviddavid> 1.25.1-2.mga6
+ Revision: 888633
- rebuild for python 3.5
- use new python macros

* Wed Sep 02 2015 lmenut <lmenut> 1.25.1-1.mga6
+ Revision: 872343
- imported package python-pypdf2

